# Change Log

All notable changes to this project will be documented in this file.

## [Unreleased]

### Added

- Basics: [Marks?](README.md#marks)
- Basics: [Changelist?](README.md#changelist)
- Tips: [Saner command-line history](README.md#saner-command-line-history)
- Usage: [Editing remote files](README.md#editing-remote-files)
- Usage: [Restore cursor position when opening file](#restore-cursor-position-when-opening-file)
- Debugging: [Verbosity](README.md#verbosity)
- Debugging: [Debugging Vim scripts](README.md#debugging-vim-scripts)
- Debugging: [Debugging syntax files](README.md#debugging-syntax-files)
- Quirks: [Editing small files is slow](README.md#editing-small-files-is-slow)
- Quirks: [Editing huge files is slow](README.md#editing-huge-files-is-slow)
- Quirks: [Delays when using escape key in terminal](README.md#delays-when-using-escape-key-in-terminal)
- Misc: [Additional resources](README.md#additional-resources)
- Misc: [Easter eggs](README.md#easter-eggs)
- Misc: [Why hjkl for navigation?](README.md#why-hjkl-for-navigation)

### Changed

- Basics: Improved [Mapleader?](README.md#mapleader)
- Usage: rewrote [Clipboard](README.md#clipboard)

## [1.1] - 2016-01-07

### Added

- Basics: [Quickfix and location lists?](README.md#quickfix-and-location-lists)
- Basics: [Registers?](README.md#registers)
- Basics: [Autocmds?](README.md#autocmds)
- Basics: [Motions? Operators? Text objects?](README.md#motions-operators-text-objects)
- Basics: [Locality?](#locality)
- Usage: [Clipboard](README.md#clipboard)
- Quirks: [Newline used for NUL](README.md#newline-used-for-nul)
- Quirks: [Bracketed paste (or why do I have to set 'paste' all the time?)](README.md#bracketed-paste-or-why-do-i-have-to-set-paste-all-the-time)
- Plugins: [New section "Commenters"](README.md#commenters)
- Plugins: [New section "Misc"](README.md#misc)
- Plugins: [New section "Tmux"](README.md#tmux)
- Tips: [Saner behavior of n and N](README.md#saner-behavior-of-n-and-n)
- Tips: [Quickly move current line](README.md#quickly-move-current-line)
- Tips: [Quickly add empty lines](README.md#quickly-add-empty-lines)
- Tips: [Quickly edit your macros](README.md#quickly-edit-your-macros)
- Tips: [Quickly jump to header or source file](README.md#quickly-jump-to-header-or-source-file)
- Tips: [Quickly change font size in GUI](README.md#quickly-change-font-size-in-gui)
- Tips: [Change cursor style in insert mode](README.md#change-cursor-style-in-insert-mode)
- Tips: [Don't lose selection when shifting sidewards](README.md#dont-lose-selection-when-shifting-sidewards)

## [1.0] - 2016-01-06

First release!

[Unreleased]: https://github.com/mhinz/vim-galore/compare/v1.1...HEAD
[1.1]: https://github.com/mhinz/vim-galore/compare/v1.0...v1.1
[1.0]: https://github.com/mhinz/vim-galore/compare/69677e2...v1.0
